This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 201806 - Review Request: mbuffer
Review Request: mbuffer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-08 18:20 EDT by Alexander Dalloz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 20:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Dalloz 2006-08-08 18:20:38 EDT
Spec URL: http://www.uni-x.org/review/mbuffer.spec
SRPM URL: http://www.uni-x.org/review/mbuffer-20060728-1.src.rpm
Description: mbuffer is a tool for buffering data streams. Its special feature is to show the I/O rate and summary to the user.

Comment: The package had already been under review, in "pre-bugzilla_review" times. But for some reasons I never committed it into CVS. So I feel it is better to again offer a review. Reference for previous review:
http://www.redhat.com/archives/fedora-extras-list/2005-August/msg00046.html
http://www.redhat.com/archives/fedora-extras-list/2005-August/msg00152.html
Comment 1 Parag AN(पराग) 2006-08-09 08:58:11 EDT
rpmlint on SRPM is not silent
W: mbuffer mixed-use-of-spaces-and-tabs
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
Comment 2 Paul Howarth 2006-08-09 09:22:16 EDT
Given that I already approved this package back in the old days, I'll take
another quick look at it later today when I a free moment or two; shouldn't take
too long.
Comment 3 Alexander Dalloz 2006-08-09 13:58:33 EDT
(In reply to comment #1)
> rpmlint on SRPM is not silent
> W: mbuffer mixed-use-of-spaces-and-tabs
> The specfile mixes use of spaces and tabs for indentation, which is a
> cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

Thanks, did rpmlint just against the binary rpm. Now fixed it without version
bump (the 2 compile options needed another tab indent).
 

Comment 4 Paul Howarth 2006-08-10 08:43:15 EDT
Review
======

- rpmlint clean
- package and spec file name OK
- package meets guidelines
- license is GPL, matches spec, text included
- spec file written in English and is legible
- sources match upstrem
- package builds OK in mock for FC5.x86_64
- BR's OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed for CLI app
- package appears to function correctly
- no scriptlets

Needswork:

 * No point including the NEWS file as it just says to look in ChangeLog

Are you sponsored? I don't see your bugzilla address in owners.list.
Comment 5 Alexander Dalloz 2006-08-10 13:03:51 EDT
Thanks Paul! I removed the NEWS file from %docs and bumped release. The new

SRPM URL: http://www.uni-x.org/review/mbuffer-20060728-2.src.rpm
Spec URL: http://www.uni-x.org/review/mbuffer.spec

Yes, I was sponsored last year by Warren and maintain 2 packages (keychain +
pam_abl) in Extas. My FE mail address is different to my BZ account - please see
the %changelog for the FE address.
Comment 6 Paul Howarth 2006-08-10 13:28:09 EDT
(In reply to comment #5)
> Thanks Paul! I removed the NEWS file from %docs and bumped release. The new
> 
> SRPM URL: http://www.uni-x.org/review/mbuffer-20060728-2.src.rpm
> Spec URL: http://www.uni-x.org/review/mbuffer.spec

OK, APPROVED.

> Yes, I was sponsored last year by Warren and maintain 2 packages (keychain +
> pam_abl) in Extas. My FE mail address is different to my BZ account - please see
> the %changelog for the FE address.

Hmm, I thought the FE and BZ addresses had to match or things got very confused.
As long as you receive your bug reports it's OK though :-)
Comment 7 Alexander Dalloz 2006-08-10 14:30:47 EDT
Thanks Paul for the work and approval.
I will ask at other place about the mail address. So far I am listed in the
owners.list with my bugzilla address, and I am getting bug tickets about my
packages properly.
Comment 8 Alexander Dalloz 2006-08-10 20:32:41 EDT
Though not a requirement, I changed my bugzilla email address to prevent any
future confusion.
The devel branch build properly, so I am closing this ticket.

Note You need to log in before you can comment on or make changes to this bug.